<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://example.com/shipping/ship.xsd"
            xmlns:tns="http://example.com/shipping/ship.xsd"
            elementFormDefault="qualified">
    <xsd:element name="shipOrder">
        <xsd:complexType>
            <xsd:sequence>
                <xsd:element name="ShipOrderRequestHeader">
                    <xsd:complexType>
                        <xsd:sequence>
                            <xsd:element name="shipOrderID" type="xsd:int"/>
                            <xsd:element name="shipItemsTotal" type="xsd:int"/>
                            <xsd:element name="itemsCount" type="tns:itemCountType"/>
                            <xsd:element name="itemsTotal" type="tns:itemCountType"/>
                            <xsd:element ref="tns:shipComplete"/>
                        </xsd:sequence>
                    </xsd:complexType>
                </xsd:element>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>
    <xsd:element name="shipNotice">
        <xsd:complexType>
            <xsd:sequence>
                <xsd:element name="ShipNoticeHeader">
                    <xsd:complexType>
                        <xsd:sequence>
                            <xsd:element name="shipOrderID" type="xsd:int"/>
                            <xsd:element name="itemsCount" type="tns:itemCountType"/>
                        </xsd:sequence>
                    </xsd:complexType>
                </xsd:element>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>
    <xsd:element name="shipComplete" type="xsd:boolean"/>
    <xsd:simpleType name="itemCountType">
        <xsd:restriction base="xsd:int">
            <xsd:minInclusive value="1"/>
            <xsd:maxInclusive value="50"/>
        </xsd:restriction>
    </xsd:simpleType>
</xsd:schema>
